Button Generator - pomoc

Button Generator v1.0.3

Copyright © 2005-2010 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

WWW: http://www.noniewicz.com

Data ostatniej aktualizacji pomocy: 2010.06.29

Spis treści
  • Ogólne
    • O programie
    • Licencja
    • Historia zmian
  • Program
    • Główne okno
    • Menu
    • Nowy obrazek
    • Ikonka
    • Ustawienia
    • Cień
    • Wynik
    • Podgląd
    • Gotowce
    • Przetwarzanie
  • Uruchamianie z linii poleceń
  • Przykłady
  • Przykład krok po kroku


Button Generator v1.0.3
Copyright © 2005-2010 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

Ogólne

  • O programie
  • Licencja
  • Historia zmian


O programie

Witaj w programie Button Generator (generator przycisków) dla Windows®.

Program służy do łatwego i szybkiego tworzenia wielu przycisków w postaci plików graficznych, które następnie mogą być użyte na stronie WWW, w prezentacji (np. Flash lub Power Point) lub w jakimkolwiek innym projekcie albo programie. Wystarczy wczytać pojedynczy obrazek (szablon) przycisku lub utworzyć go w programie i następnie wpisać tytuły przycisków by uzyskać gotowe przyciski. Dodanie lub zmiana przycisków sprowadza się potem do wpisania lub zmiany ich tytułów. Użytkownik ma możliwość szczegółowego konfigurowania wyglądu przycisków (np. rozmiar, kolor, czcionka, wypełnienie kolorowym gradientem) oraz zapisania ich jako pliki BMP/GIF/JPG/PNG.

Dostępne są też predefiniowane wzory przycisków (gotowce), które można samemu tworzyć i zmieniać.

Dodatkowo można utworzyć wiele przycisków na bazie jednego dużego obrazka pociętego na części.

Nowe możliwości w wersji 1.0.2 - 1.0.3 to np.:

  • Wiele przycisków na jednym obrazku
  • Uruchamianie z linii poleceń
  • Okrągłe przyciski
  • Wiele zestawów gotowców
  • Dodatkowe wersje językowe: hiszpańska, włoska, niemiecka

Strona www Button Generator-a:
http://www.noniewicz.com/btngenpl.php

Najnowsza wersja do pobrania:
http://www.noniewicz.com/downloadspl.php

Aktualna wersja programu (v1.0.3) jest bezpłatna, jednakże zastrzegam sobie możliwość wprowadzenia w przyszłości odpłatności np. za wersję bardziej rozbudowaną.

Darowizny:

To oprogramowanie jest darmowe, mam nadzieję, że tak pozostanie w przyszłości. Nie jest wymagana żadna opłata za jego pobranie i użytkowanie. Tym niemniej, jeśli chcesz dać darowiznę na jego rozwój, to bardzo zachęcam. Można wtedy oczywiście poprosić o rozbudowanie funkcjonalności programu. Na pewno będę się czuł bardziej zobligowany do zaimplementowania funkcjonalności zgłoszonej w ten sposób. Choć zastrzegam sobie prawo do niezaimplementowania jej.

Darowiznę można przekazać przez PayPal na stronie http://www.noniewicz.com/donationpl.php

Kontakt:

Wykryte błędy, problemy, uwagi i propozycje rozbudowy programu można zgłaszać przez formularz: http://www.noniewicz.com/contactpl.php.


Licencja

Button Generator dla Windows® - UMOWA LICENCYJNA

Warunki licencji na użytkowanie programu Button Generator:

1. Ten program jest chroniony prawem autorskim. Wyłącznym autorem programu (właścicielem praw autorskich) jest Jakub Noniewicz (MoNsTeR/GDC).

2. Licencja na użytkowanie programu zarówno do prywatnych, jak i komercyjnych zastosowań jest bezpłatna.

3. Programu można używać do dowolnych zastosowań nie powodujących niczyjej szkody.

4. Autor dołożył MAKSYMALNYCH starań, aby program działał prawidłowo. Ponieważ jednak program jest tworem myśli ludzkiej, nie można wykluczyć, że nie jest wolny od błędów. Z tego powodu autor nie ponosi żadnej odpowiedzialności za jakiekolwiek szkody materialne i niematerialne wynikłe z użytkowania programu. Nie jest też gwarantowane żadne wsparcie techniczne dla użytkowników programu.

5. Dozwolone jest nieodpłatne kopiowanie wersji instalacyjnej programu, przekazywanie jej innym osobom oraz publikowanie w dowolny sposób. Zabroniona jest sprzedaż programu bez uprzedniej pisemnej zgody autora oraz usuwanie z programu informacji o prawach autorskich.

6. Jakakolwiek dekompilacja programu oraz ingerencja w zawartość jego plików wykonywalnych jest zabroniona.


Historia zmian

v 1.0.3.11:
- środowisko programistycznie zmienione z Delphi 3 na BDS 2006
- dodane tłumaczenia na: niemiecki, hiszpański, włoski
- format pomocy zmieniony na CHM
- poprawiony problem ze ścieżką do pliku pomocy
- ikonki w menu
- inne drobne poprawki

v 1.0.3.10:
- zmiany w interface
- dodane menu ostatnio używanych plików
- definniowalny odstęp między wierszami tekstu
- opcja przezroczystości dla ikonek
- opcja antialiasingu czcionek
- okrągłe przyciski z nowymi opcjami
- podgląd czcionki z nazwą czcionki
- dodatkowe kontrolki dla czcionek w głównym oknie
- przy cięciu można też zaznaczać punkt końcowy
- dodana opcja losowych kolorów gradientu
- dodany duży podgląd dla gradientu i "buttonizera"
- wiele zestawów gotowców
- gotowce mogą być pokazywane jako kwadratowe
- poprawione: bullets*.ini - zapisywanie względnej ścieżki
- ikony: dodawanie wielu na raz
- ikony: tryby podglądu w różnych wielkościach
- poprawiony niezamykający się instalator programu
- poprawione okno o programie
- poprawione: problemy z nazwami plików przy trybach wszystkie na jednym i N x M
- poprawiony błąd: kasowanie ikonki gdy żadna nie jest zaznaczona powodowało błąd
- drobne poprawki

v 1.0.2.8-9:
- opcjonalny plik csv/txt z linii poleceń nadpisujący napisy przycisków z pliku .btn
- pionowe wyrównanie tekstu (z opcją ignorowania pustych linii tekstu)
- można wygenerować N obrazków z M przycisków na każdym
- ramka może być zaokrąglona i mieć odstęp od brzegu przycisku
- osobne ułożenie przycisków na obrazku i ułożenie samych obrazków
- zapisywanie html jako html map
- więcej opcji gif - kompresja
- przycisk darowizny
- pokazywanie ilości linii tekstu, przycisków i plików
- gotowce - drobne poprawki
- radialny gradient
- różne drobne poprawki

v 1.0.2.7:
- do 10 linii tekstu na jednym przycisku
- możliwość wygenerowanie przycisków jako jednego obrazka
- możliwość dodania odstępów i marginesu o zadanym kolorze między przyciskami na jednym obrazku
- możliwość wymuszenia tworzenia folderów wynikowych
- dodatkowe opcje przy zapisie w formatach GIF i PNG
- menu widok z możliwością ukrycia poszczególnych paneli aplikacji
- program można uruchomić w sposób zautomatyzowany z linii poleceń
- różne drobne poprawki

v 1.0.1.6:
- poprawiony błąd z nie zapisywaniem HTML
- wygenerowany obrazek bazowy można zapisać również jako gif/jpg/png
- html - można zobaczyć od razu w przeglądarce WWW
- x0, y0 dla dużych obrazków do cięcia można ustawić bezp. na obrazku bazowym
- obsługa formatu graficznego PNG
- możliwość przeskalowania obrazka
- poprawiony błąd w przełączaniu wersji językowej
- wczytywanie obrazków w formatach emf/wmf
- możliwość wklejenia dodatkowego obrazka (np. ikonki) na obrazek bazowy
- możliwość wyłączenia używania tytułów przycisków przy tworzeniu nazw plików
- info o obrazku - pokazuje też głębię kolorów
- nowy obrazek zawsze z 24 bitową głębią koloru
- obrazki tworzone w programie mogą być kopiowane do schowka
- różne poprawki

v 1.0.0.5:
- poprawiony błąd zw. ze ścieżką wynikową
- numerowanie plików wynikowych opcjonalne
- nazwy plików wynikowych - odświeżane kiedy trzeba
- rejestracja rozszerzenia *.btn w instalatorze programu
- drobne poprawki
- cyklowanie kolorów gradientu

v 1.0.0.4:
- tytuły przycisków - dodany pionowy suwak
- pliki wynikowe mogą mieć definiowane zakończenie nazwy
- podgląd nazw plików wynikowych
- obsługa formatu graficznego JPG
- poprawiony sposób nazywania przycisków
- możliwość generowania matrycy x*N przycisków
- pasek narzędziowy
- tytuły przycisków zawsze widoczne, niezależnie od koloru
- przeprojektowany interfejs programu
- opcje jpg - ustawianie jakości
- gotowce
- obrazek bazowy - dodane menu kontekstowe
- efekt przycisku można stosować również do przycisków wynikowych
- różne poprawki

v 1.0.0.3:
- wersja dwujęzykowa - angielska i polska
- różne poprawki


Program

  • Główne okno
  • Menu
  • Nowy obrazek
  • Ikonka
  • Ustawienia
  • Cień
  • Wynik
  • Podgląd
  • Gotowce
  • Przetwarzanie


Główne okno

Elementy głównego okna programu:

Opis przycisków:

- wczytaj projekt
- zapisz projekt
- wczytaj obrazek bazowy
- zapisz obrazek bazowy
- wczytaj tytuły przycisków
- zapisz tytuły przycisków
- utwórz nowy obrazek
- gotowce
- zmiana czcionki
- zmiana koloru czcionki
- przetwarzanie obrazka
- generuj przyciski
- zapisz wygenerowane przyciski
- język: angielski, polski, hiszpański, włoski, niemiecki

Menu kontekstowe:

Po kliknięciu prawym przyciskiem myszy na obrazek bazowy pojawi się menu kontekstowe pozwalające wczytać albo zapisać obrazek bazowy oraz skopiować obrazek bazowy do schowka (analogicznie można skopiować każdy z utworzonych w programie przycisków).

Dwuklik na tytuły przycisków albo na obrazek bazowy umożliwia szybkie wczytanie tytułów albo obrazka odpowiednio.


Menu

Plik
Wczytaj projekt (CTRL+O) | wczytuje projekt przycisków z pliku
Zapisz projekt (CTRL+S) | zapisuje projekt przycisków do pliku
Wczytaj ostatni | wczytuje wybrany z ostatno używanych plików projektów
Zapisz wygenerowane przyciski (F12) | zapisuje wygenerowane przyciski na dysku
Wczytaj bazowy obrazek (CTRL+I) | wczytuje obrazek bazowy z pliku
Zapisz bazowy obrazek | zapisuje obrazek bazowy do pliku
Wczytaj tytuły przycisków (CTRL+T) | wczytuje tytuły przycisków z pliku tekstowego
Zapisz tytuły przycisków | zapisuje tytuły przycisków do pliku tekstowego
Zamknij (ALT+F4) | zamyka program
Przycisk
Utwórz obrazek (F5) | tworzy nowy obrazek przycisku wg ustawień
Gotowce (F4) | gotowe wzory przycisków
Przetwarzaj obrazek (F3) | okno przetwarzania obrazka
Czcionka (CTRL+F) | wybór/zmiana czcionki
Kolor (CTRL+G) | wybór/zmiana koloru czcionki
Generuj (F9) | generuje przyciski wg ustawień
Widok
Panel tekstowy widoczny | przełącza widoczność panelu tekstowego
Kontrolki widoczne | przełącza widoczność kontrolek
Wynik widoczny | przełącza widoczność wyniku
Pomoc
Pomoc (F1) | ninejsza pomoc
Darowizna PayPal | link do strony darowizny przez PayPal
Strona WWW noniewicz.com | strona www: noniewicz.com
O programie | informacje o programie


Nowy obrazek

Ta zakładka zawiera opcje i ustawienia używane przy tworzeniu nowego obrazka:

Można tu ustawić: rozmiar przycisku, jego kolory i parametry efektu przycisku. Dodatkowo można też włączyć ramkę (ustawić jej grubość, kolor, margines i zaokrąglenie) oraz wypełnienie gradientem.

Efekt przycisku - szerokość X wysykość X nieprzezroczystość

3x12 przezroczysty | 3x12 nieprzezroczysty | 12x3 nieprzezroczysty

Kolory poszczególnych obszarów nowego przycisku

w tym przykładzie – tło żółte, lewo-góra zielone, prawo-dól czerwone

Okrągłe przyciski

Od wersji 1.0.3 można tworzyć w programie okrągłe przyciski. Służy do tego opcja Okrągły. W tym trybie niektóre standardowe opcje są wyłączone podczas, gdy inne specjalne opcje stają się dostępne.

Ramka

przycisk z czerwoną ramką grubości 1 pixela
przycisk z zaokrągloną ramką i marginesem

Wypełnienie gradientem

Wypełnienie pionowo trzema kolorami

Wypełnienie poziomo trzema kolorami

Wypełnienie poziomo dwoma kolorami (kolor#1 i kolor#3)

Gradient może też być radialny

Uwaga: dwuklik na gradient albo "buttonizer" pokazuje powiększalny podgląd.


Ikonka

Ta zakładka umożliwia nałożenie na przycisk bazowy dodatkowego obrazka (ikonki):

Aby umieścić ikonkę na przycisku należy wybrać obrazek ikonki, ustalić położenie w pixelach od lewego górnego rogu, wybrać rozmiar ikonki oraz kliknąć umieść na przycisku. Jednakże może być łatwiej ustalić jedynie margines od krawędzi obrazka bazowego (z lewej strony) i pozwolić by program automatycznie przeskalował i wypozycjonował ikonę. Aby to zrobić należy ustawić margines i kliknąć przycisk dostosuj do margin.

Aktualnie wybrana ikona jest widoczna w ramce Aktualna ikona. Aby wyczyścić wybór ikony należy kliknąć na przycisk czyść ikonę.

Inne dostępne tu funkcje to dodawanie / usuwanie plików ikonek do / z listy dostępnych ikonek.

Lista ta jest pamiętana w pliku bullets.ini w folderze programu.


Ustawienia

Na tej zakładce znajdują się ustawienia wpływające na ostateczny wygląd przycisków:

Ustawienia tekstu

W tej sekcji można ustawić wyrównanie tekstu tytułów przycisków (poziome i pionowe), rodzaj użytej czcionki, jej wielkość, kolor, itp. Przycisk centruj pionowo pozwala wycentrować tytuły w pionie, w zależności od aktualnie wybranej czcionki i wielkości (wysokości) przycisków. Można też podać, ile wierszy tekstu ma się znajdować na jednym przycisku. Jeśli zostanie włączona opcja ignoruj puste wyrównanie pionowe wyrówna tytuły przycisków pionowo ignorując wszelkie puste linie w tytułach.

Gdy >1 przycisk na obrazek

Tu ustawia się odstęp i margines (w pikselach) oraz kolor tła w sytuacji, gdy więcej niż jeden przycisk jest umieszczany na jednym obrazku.

Cięcie obrazka bazowego

Pozwala z jednego dużego obrazka bazowego zrobić wiele przycisków, których fragmenty tła (obrazka bazowego) są kontynuowane poprzez kolejne przyciski. Można tu ustawić wielkość przycisków, punkt początkowy na obrazku bazowym oraz sposób cięcia - pionowo, poziomo albo matrycowo.

Efekt przycisku

Działa analogicznie, jak na zakładce Nowy obrazek, z tą różnicą, że odnosi się do już utworzonych przycisków (pozwala to np. zrobić odróżniające się od siebie przyciski z jednego dużego obrazka).


Cień

Na tej zakładce znajdują się ustawienia cienia napisów na przyciskach:

Można tu ustawić, czy cień ma być używany, czy ma być podwójny, jego przesunięcie i kolor.


Wynik

Na tej zakładce określa się parametry i sposób zapisu przycisków:

Można tu ustawić m. in. katalog docelowy, sposób tworzenia nazw plików przycisków i format graficzny (oraz jego specyficzne parametry), w jakim mają one być zapisane.

Sposób tworzenia nazw

Zasadniczo nazwy są tworzone z tytułów przycisków (chociaż istnieje możliwość wyłączenia tego). Dodatkowo można zdefiniować stały przedrostek i zakończenie nazw. Można też wymusić autonumerowanie (przydatne, jeśli kilka przycisków ma taki sam tytuł) oraz zmianę nazw na małe litery (przydatne w przypadku serwerów WWW pracujących na systemach UNIX-owych, gdzie małe i wielkie litery są rozróżniane). Kiedy lista tytułów jest niepusta w każdej chwili widoczny jest na tej zakładce podgląd nazw plików przycisków, które zostaną utworzone. Ilość plików zależy też od parametru Wierszy/przycisk oraz Przycisków na obrazek (plik). Gdy wybrane jest Wszystkie przyciski na jednym obrazku zostanie utworzony tylko jeden plik.

Testowy HTML

Jeśli zostanie wybrana opcja Zapisz HTML program zapisuje też testowy plik HTML razem z wygenerowanymi przyciskami. Dodatkowo opcja Mapa HTML tworzy HTML z tzw. image map, co ma zastosowanie w przypadku wielu przycisków na jednym obrazku.


Podgląd

Na tej zakładce można ustawić sposób wyświetlania/ostateczne ułożenie przycisków:

Można tu ustawić jak przyciski (i wieloprzyciskowe obrazki) będą ułożone - pionowo, poziomo czy w matrycę o zadanej liczbie kolumn.

Kolejne ustawienie definiuje ile przycisków na obrazku ma zostać wygenerowane. Domyślne ustawienie to jeden przycisk na jeden obrazek, ale można też wszystkie przyciski utworzyć na jednym obrazku albo jako N przycisków na M obrazkach.


Gotowce

To okno służy do wyboru predefniowaych wzorów przycisków (gotowców):

Aby wybrać "gotowca" wystarczy na niego dwukliknąć. Można też kliknąć na niego raz a potem wybrać Zastosuj. Dodaj dodaje aktualnie utworzony obrazek do gotowców (tzn. jedynie zapamiętuje ustawienia programu - nie można tu dodać przycisków utworzonych z plików graficznych). Usuń usuwa wybranego gotowca. Importuj importuje ustawienia przycisku z pliku projektu Button Generatora.

Gotowce przechowywane są teraz w pliku presets-default.ini w folderze programu.

Stare gotowce można podłączyć z pliku presets.ini w folderze programu.


Przetwarzanie

W tym oknie można zmienić rozmiar obrazka (np. wczytanego z pliku).

W wypadku obrazków utworzonych w programie lepiej jest zmienić ich rozmiar w głównym oknie i utworzyć je jeszcze raz.

W przyszłości chcę tu dodać więcej funkcji.


Uruchamianie z linii poleceń

Button Genrator można uruchomić automatycznie z linii poleceń, składnia:

btngen.exe /x "dysk:\pelna\sciezka\inazwapliku.btn"

Uwaga: wymagana jest pełna ścieżka do pliku *.btn.

Takie wywołanie wczytuje wejściowy plik *.btn, generuje przyciski, zapisuje je i kończy program.

Plik wejściowy *.btn musi istnieć przed uruchomieniem z linii poleceń. Można go przygotować wcześniej w Button Generatorze i zapisać, można też utworzyć go inną zewnętrzną aplikacją (to jest zwykły plik tekstowy w formacie plików ini).

Jeśli brak parametru /x program wczyta plik *.btn, pokaże główne okno i na tym poprzestanie.

W trybie uruchamiania z linii poleceń program tworzy plik logu btngen_shell_run.log w swoim folderze.

Można też nadpisać napisy na przyciskach zapisanych w pliku .btn (wszystkie inne ustawienia zostaną pobrane z pliku .btn). Składnia w tym przypadku:

btngen.exe /x "dysk:\pelna\sciezka\inazwapliku.btn" "dysk:\jakas\sciezka\napisy.csv"

Składnia tego dodatkowego pliku powinna być jeden tytuł na wiersz (jak w panelu napisów).

Przykłady:

btngen.exe /x "c:\przyciski\pierwszy.btn"

btngen.exe /x "c:\ przyciski\pierwszy.btn" "d:\napisy\napisy1.csv"


Button Generator v1.0.3
Copyright © 2005-2010 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

Przykłady

Przykłady możliwości programu

v1.0.2:

v1.0.3:


Przykład krok po kroku

1. Uruchom program.
2. W polu teksty przycisków (z lewej strony) wpisz tytuły przycisków.
3. Na zakladce nowy obrazek
- ustaw nieprzezroczystość na maksymalną (do końca w prawo),
- włącz wypelnij gradientem.
4. Wciśnij F5 (lub wybierz z menu Przycisk | Utwórz obrazek).
5. Na zakładce ustawienia
- ustaw czcionkę np. na Arial, Pogrubiony, 10,
- ustaw od lewej / prawej na 6,
- kliknij centruj pionowo.
6. Wciśnij F9 (lub wybierz z menu Przycisk | Generuj).
7. Na zakładce wynik
- wybierz katalog (folder) docelowy, np. c:\,
- wybierz format plików, np. JPG,
- zaznacz zapisz HTML,
8. Wciśnij CTRL+S (lub wybierz z menu Plik | Zapisz projekt) aby zapisać projekt.
9. Wciśnij F12 (lub wybierz z menu Plik | Zapisz wygenerowane przyciski).

To powinno dać efekt podobny do tego: